% !TeX spellcheck = en_US
\graphicspath{{src/part04_mesh_motion_examples/img/}}


\section{Movimiento de Mallas - Ejemplos prácticos}
\begin{frame}[plain,noframenumbering]{}
    
    %\centering
    \begin{centering}
        \hfill
        \begin{beamercolorbox}[rounded=true,center,sep=0.2em,wd=0.6\textwidth]{frametitle}
            \Huge Moving Meshes\\Practical examples
        \end{beamercolorbox}
        \hfill
    \end{centering}
    
    \begin{center}
        \begin{minipage}{0.75\textwidth}
            \begin{columns}
                
                \column[t]{0.4\textwidth}
                \begin{block}{2D Problems}
                    \begin{itemize}
                        \item \textit{Thin-Walled Beam}
                        \begin{itemize}
                            \item[-] Translation
                            \item[-] Rotation
                            \item[-] Bending
                        \end{itemize}
                        
                    \end{itemize}
                \end{block}
                
                \column[t]{0.3\textwidth}
                \begin{block}{3D Problems}
                    \begin{itemize}
                        \item \textit{Hollow Beam}
                        \begin{itemize}
                            \item[-] Torsion
                        \end{itemize}
                    \end{itemize}
                \end{block}
                
            \end{columns}
        \end{minipage}
    \end{center}    
    
\end{frame}

\subsection{\textit{Thin-Walled Beam}}
\begin{frame}{\textit{Thin-Walled Beam}}
    
    \begin{center}
    \begin{block}{Deformation modes}
        
        \begin{columns}
            \column[]{0.30\textwidth}
            \begin{figure}
                \centering
                \includegraphics[width=1.0\textwidth]{2d_beam_translation_test.pdf}
                \caption*{Translation}
            \end{figure}
            \hfill
            \column[]{0.30\textwidth}
            \begin{figure}
                \centering
                \includegraphics[width=1.0\textwidth]{2d_beam_rotation_test.pdf}
                \caption*{Rotation}
            \end{figure}
            \hfill
            \column[]{0.30\textwidth}
            \begin{figure}
                \centering
                \includegraphics[width=1.0\textwidth]{2d_beam_bending_test.pdf}
                \caption*{Bending}
            \end{figure}
            \hfill
        \end{columns}
        
    \end{block}
    \end{center}
    
    
\end{frame}

\begin{frame}{\textit{Thin-Walled Beam}}
    
    \setlength{\leftmargini}{0.10cm}
    
    \vspace{-1em}
    
    \begin{columns}
        \column[c]{0.50\textwidth}
        \begin{block}{Initial discretization}\vspace{0.2em}
            \centering
            \includegraphics[height=0.85\textheight]{2d_thin_beam_initial_mesh.pdf}
        \end{block}
        
        \column[c]{0.40\textwidth}
        \begin{center}
            
            \begin{block}{Material properties}
                \begin{table}[h]
                    \begin{center}
                        \tiny
                        \begin{minipage}{0.9\textwidth}
                            \begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}lccccc@{\extracolsep{\fill}}}
                                \toprule%
                                \multicolumn{3}{@{}l@{}}{BIMO} & \multicolumn{3}{@{}l@{}}{MJBS} \\\cmidrule{1-3}\cmidrule{4-6}%
                                & $k_f/k_g$ & $\lambda_{max}$  &        & $\nu$ & $\chi$ \\
                                \midrule
                                BIMO1  & $1.0$     & $1.50$             &  MJBS1 & $0.3$   & $1$ \\
                                BIMO2  & $10^{-6}$    & $1.50$              &  MJBS2 & $0.3$   & $2$  \\
                                \bottomrule
                            \end{tabular*}
                        \end{minipage}
                    \end{center}
                \end{table}
            \end{block}
        
            \begin{block}{}
                \begin{itemize}
                    \item 3316 elements
                    \begin{itemize}
                        \item \#1: 2716 elems
                        \item \#2: 600 elems
                    \end{itemize}
                    \item 1687 nodes
                \end{itemize}
            \end{block}
            
            \begin{block}{}
                \begin{itemize}
                    \item $\Gamma_b$: beam
                    \item $\Gamma_{se}$: groups \#1 and \#2 interface
                \end{itemize}
            \end{block}


        
        \end{center}
    \end{columns}
    
\end{frame}

\begin{frame}{\textit{Thin-Walled Beam} - translation}
    \begin{columns}
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small MJBS}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/2d_beam_MJBS_translation.mp4?autostart}
            {\includegraphics[height=0.63\textheight]{2d_beam_MJBS_translation-0050.png}}
        \end{block}
        
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small BIMO}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/2d_beam_BIMO_translation.mp4?autostart}
            {\includegraphics[height=0.63\textheight]{2d_beam_BIMO_translation-0050.png}}
        \end{block}
        
        \column[t]{0.3\textwidth}
        \vspace{-2.75em}
        \begin{block}{\raggedleft\tiny MJBS1/BIMO1} %\vspace{-3.0em} \hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{2d_beam_AR_translation_outer.pdf}
        \end{block}
        \vspace{-2em}
        \begin{block}{\raggedleft\tiny MJBS2/BIMO2}%\hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{2d_beam_AR_translation_inner.pdf}
        \end{block}
    \end{columns}
\end{frame}

\begin{frame}{\textit{Thin-Walled Beam} - rotación}
    \begin{columns}
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small MJBS}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/2d_beam_MJBS_rotation.mp4?autostart}
            {\includegraphics[height=0.63\textheight]{2d_beam_MJBS_rotation-0050.png}}
        \end{block}
        
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small BIMO}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/2d_beam_BIMO_rotation.mp4?autostart}
            {\includegraphics[height=0.63\textheight]{2d_beam_BIMO_rotation-0050.png}}
        \end{block}
        
        \column[t]{0.3\textwidth}
        \vspace{-2.75em}
        \begin{block}{\raggedleft\tiny MJBS1/BIMO1} %\vspace{-3.0em} \hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{2d_beam_AR_rotation_outer.pdf}
        \end{block}
        \vspace{-2em}
        \begin{block}{\raggedleft\tiny MJBS2/BIMO2}%\hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{2d_beam_AR_rotation_inner.pdf}
        \end{block}
    \end{columns}
\end{frame}

\begin{frame}{\textit{Thin-Walled Beam} - flexión}
    \begin{columns}
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small MJBS}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/2d_beam_MJBS_bending.mp4?autostart}
            {\includegraphics[height=0.63\textheight]{2d_beam_MJBS_bending-0050.png}}
        \end{block}
        
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small BIMO}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/2d_beam_BIMO_bending.mp4?autostart}
            {\includegraphics[height=0.63\textheight]{2d_beam_MJBS_bending-0050.png}}
        \end{block}
        
        \column[t]{0.3\textwidth}
        \vspace{-2.75em}
        \begin{block}{\raggedleft\tiny MJBS1/BIMO1} %\vspace{-3.0em} \hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{2d_beam_AR_bending_outer.pdf}
        \end{block}
        \vspace{-2em}
        \begin{block}{\raggedleft\tiny MJBS2/BIMO2}%\hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{2d_beam_AR_bending_inner.pdf}
        \end{block}
    \end{columns}
\end{frame}

\subsection{\textit{Hollow Beam}}
\begin{frame}{\textit{Hollow Beam}}
    
    \vspace{-2em}
    
    \begin{columns}
        \column[t]{0.40\textwidth}
        \begin{block}{deformation mode}\vspace{0.3em}
            \centering
            \includegraphics[height=0.6\textheight]{3d_hollow_beam.sketch.pdf}
        \end{block}
        
        \vspace{-2em}
        \begin{block}{}
            \begin{itemize}
                \item 15581 elements
                \begin{itemize}
                    \item \#1: 11981 elems
                    \item \#2: 3600 elems
                \end{itemize}
                \item 3421 nodes
            \end{itemize}
        \end{block}
        

        \column[t]{0.60\textwidth}
        \begin{block}{Initial discretization}
            \centering
            \includegraphics[height=0.65\textheight]{3d_hollow_beam.initial_mesh.pdf}
        \end{block}
    
        \vspace{-3em}
        \begin{block}{}
            \begin{table}[h]
                \begin{center}
                    \tiny
                    \begin{minipage}{0.8\textwidth}
                        \begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}lccccc@{\extracolsep{\fill}}}
                            \toprule%
                            \multicolumn{3}{@{}l@{}}{BIMO} & \multicolumn{3}{@{}l@{}}{MJBS} \\\cmidrule{1-3}\cmidrule{4-6}%
                            & $k_f/k_g$ & $\lambda_{max}$  &        & $\nu$ & $\chi$ \\
                            \midrule
                            BIMO1  & $1.0$     & $1.50$             &  MJBS1 & $0.3$   & $1$ \\
                            BIMO2  & $10^{-6}$    & $1.05$              &  MJBS2 & $0.3$   & $2$  \\
                            \bottomrule
                        \end{tabular*}
                    \end{minipage}
                \end{center}
            \end{table}
        \end{block}
        
    \end{columns}
\end{frame}

\begin{frame}{\textit{Hollow Beam} - results}
    \begin{columns}
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small MJBS}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/3d_hollow_mjbs.mp4?autostart&loop}
            {\includegraphics[height=0.70\textheight]{3d_hollow_mjbs-0100.png}}
        \end{block}
    
        \column[t]{0.35\textwidth}
        \begin{block}{\centering \small BIMO}\vspace{0.1em}
            \centering
            \href{run:src/part04_mesh_motion_examples/img/3d_hollow_mjbs.mp4?autostart&loop}
            {\includegraphics[height=0.70\textheight]{3d_hollow_bimo-0100.png}}
        \end{block}
    
        \column[t]{0.3\textwidth}
        \vspace{-2.75em}
        \begin{block}{\raggedleft\tiny MJBS1/BIMO1} %\vspace{-3.0em} \hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{3d_hollow_beam_violin_plot_b.pdf}
        \end{block}
        \vspace{-2em}
        \begin{block}{\raggedleft\tiny MJBS2/BIMO2}%\hspace{-1em}
            \centering
            \includegraphics[height=0.43\textheight]{3d_hollow_beam_violin_plot_a.pdf}
        \end{block}
    \end{columns}
\end{frame}

